Update API token roles

Update Workspace and Organization roles for an API token.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization where you want to update an API token.
tokenIdstringRequired
The API token you want to update.

Request

The request body for updating a token.
roleslist of objectsRequired
The roles of the API token, including DAG roles.

Response

OK
dagRoleslist of objects
A list of the subject's DAG roles.
deploymentRoleslist of objects
A list of the subject's Deployment roles. Currently only for API tokens.
organizationRolestring
The subject's Organization role.
workspaceRoleslist of objects
A list of the subject's Workspace roles.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error